gavl

Data Fields
gavl_video_frame_t Struct Reference
Video » Video frames

`#include <gavl.h>`

## Data Fields
uint8_t * | planes [GAVL_MAX_PLANES]
int | strides [GAVL_MAX_PLANES]
void * | user_data
int64_t | timestamp
int64_t | duration
gavl_interlace_mode_t | interlace_mode
gavl_timecode_t | timecode

## Detailed Description

Video frame

## Field Documentation

## ◆ planes

uint8_t* gavl_video_frame_t::planes[GAVL_MAX_PLANES]

Pointers to the planes

## ◆ strides

int gavl_video_frame_t::strides[GAVL_MAX_PLANES]

For each plane, this stores the byte offset between the scanlines

## ◆ user_data

void* gavl_video_frame_t::user_data

For storing user data (e.g. the corresponding XImage)

## ◆ timestamp

int64_t gavl_video_frame_t::timestamp

Timestamp in stream specific units (see Video format definitions)

## ◆ duration

int64_t gavl_video_frame_t::duration

Duration in stream specific units (see Video format definitions)

## ◆ interlace_mode

gavl_interlace_mode_t gavl_video_frame_t::interlace_mode

Interlace mode

## ◆ timecode

gavl_timecode_t gavl_video_frame_t::timecode

Timecode associated with this frame

The documentation for this struct was generated from the following file:

- /opt/local/var/macports/build/_opt_bblocal_var_buildworker_ports_build_ports_multimedia_gavl/gavl/work/gavl-1.4.0/include/gavl/gavl.h